<%-- 
 /*$Id: TPRScheduleDetails.jsp,v 1.5 2010/08/23 19:51:03 jnew Exp $ */
 /*$Copyright: Copyright (c) 2010 Symantec Corporation.
 /*All rights reserved.
 /*
 /*THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
 /*SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
 /*WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
 /*
 /*The Licensed Software and Documentation are deemed to be commercial
 /*computer software as defined in FAR 12.212 and subject to restricted
 /*rights as defined in FAR Section 52.227-19 "Commercial Computer
 /*Software - Restricted Rights" and DFARS 227.7202, "Rights in
 /*Commercial Computer Software or Commercial Computer Software
 /*Documentation", as applicable, and any successor regulations. Any use,
 /*modification, reproduction release, performance, display or disclosure
 /*of the Licensed Software and Documentation by the U.S. Government
 /*shall be solely in accordance with the terms of this Agreement.  $*/
--%>
<%@page import="vrts.cm.tpr.util.I18NUtils,
                vrts.ob.web.core.Environment,
                java.util.Locale,
		java.util.Vector,
                vrts.ob.web.scheduler.utils.CronConstants,
		vrts.ob.web.core.utils.ResourceBundleUtility" %>
<% 
	Environment env = (Environment) session.getAttribute("Environment");
	Locale locale = env.getCurrentLocaleID();		
%>
<script type='text/javascript' src='/sm/widgets/yui/build/utilities/utilities.js'></script> 
<script type='text/javascript' src='/sm/widgets/yui/build/calendar/calendar-min.js'></script>
<script type='text/javascript' src='/sm/js/calendarUtil.js'></script>

<link rel='stylesheet' type='text/css' href='/sm/widgets/yui/build/assets/skins/sam/skin.css' />
<link rel='stylesheet' type='text/css' href='sm/widgets/yui/build/calendar/assets/skins/sam/calendar.css'/>
<link rel='stylesheet' type='text/css' href='/sm/vmgmt-static/include/tables.css' />
<link rel='stylesheet' type='text/css' href='/sm/images/vip-clasic.css'/>
<link rel='stylesheet' type='text/css' href='/sm/plugins/sfm/css/sfm.css'/>

<style type="text/css">

.calbtn{
		background-image:url(/sm/images/ico-cal.gif);
		background-repeat:no-repeat;
		background-position:center;
		background-color:#FFFFFF;
		height: 20px; 
		width: 20px;
		border:0;
}

.yui-skin-sam .yui-calendar{
		font-size:70%;
}

.yui-skin-sam .yui-calcontainer .title{
		font-size:70%;
}

</style>

<div class='yui-skin-sam'>

  <TABLE valign='top' align='left' width='100%' height='100%' class='table'>
	<TR>
		<TD class='bodyTextBold' colspan=4><input name='chkSchedule' type='checkbox' id='noneradbtn' value='noneradbtn' onclick='checkNone()'/><label for='noneradbtn'>
    <%=I18NUtils.getLocalizedString("SCHEDULE_OPTION", locale)%>
		<label>
		</TD>
	</TR>

  <TR>
	<TD width='24%' valign='top' >
	<!-- Frequency Selection Column -->
	<TABLE width='100%' height='200' class='chartTableMain2'>
	<TR class='odd_row' height='25'>
		<TD class='bodyTextBold'><%=I18NUtils.getLocalizedString("SCHEDULE_FREQUENCY", locale)%></TD>
	</TR>
	<TR>
		<TD></TD>
	</TR>
	<TR>
		<TD class='bodyText' ><input name='recurrencetype' type='radio' id='onceradbtn' value='onceradbtn' onclick='checkOnce()'/>
    <%=I18NUtils.getLocalizedString("SCHEDULE_ONCE", locale)%></TD>
	</TR>
	<TR>
		<TD class='bodyText' ><input name='recurrencetype' type='radio' id='dailyradbtn' value='dailyradbtn' onclick='checkDaily()'/>
    <%=I18NUtils.getLocalizedString("SCHEDULE_DAILY", locale)%></TD>
	</TR>
	<TR>
		<TD class='bodyText' ><input type='radio' name='recurrencetype' id='weeklyradbtn' value='weeklyradbtn' onclick='checkWeekly()'/>
    <%=I18NUtils.getLocalizedString("SCHEDULE_WEEKLY", locale)%></TD>
	</TR>
	<TR>
		<TD class='bodyText' > <input type='radio' name='recurrencetype' id='monthlyradbtn' value='monthlyradbtn' onclick='checkMonthly()'/>
    <%=I18NUtils.getLocalizedString("SCHEDULE_MONTHLY", locale)%></TD>
	</TR>
	<TR>
		<TD></TD>
	</TR>
	</TABLE>
	</TD>
	<TD width='3%' valign='top'>
	<!-- Blank cloumn for space -->
	</TD>
	<TD width='73%' valign='top'>
		<!-- Frequency values column -->
		<TABLE width='100%' height='100%'>
		<TR valign='top'>
			<TD>
			<TABLE width='100%' class='chartTableMain2'>
				<TR class='odd_row'>
					<TD class='bodyTextBold'>
					<%=I18NUtils.getLocalizedString("SCHEDULE_VALUE_SELECTION", locale)%>
					</TD>
				</TR>
				<!-- Start of divs for various schedule types -->
				<TR><TD>

				<!-- Once Div Start -->
				<div id='oncediv' style='display:none'>
				<TABLE width='100%' >
				<tr>
				<td width='5%'>&nbsp;</td>
				<td width='95%'>
				<table width='100%'  cellspacing='2' cellpadding='2'>
				  <tr>
					<td class='bodyTextBold' >
					  &nbsp;&nbsp;<%=ResourceBundleUtility.getLocalizedString("SCHEDULE_TIME", locale)%>&nbsp;&nbsp;
					  <select name='oncehourlistbox' id='oncehourlistbox'>
							<option value='1'>1</option>
							<option value='2'>2</option>
							<option value='3'>3</option>
							<option value='4'>4</option>
							<option value='5'>5</option>
							<option value='6'>6</option>
							<option value='7'>7</option>
							<option value='8'>8</option>
							<option value='9'>9</option>
							<option value='10'>10</option>
							<option value='11'>11</option>
							<option value='12' selected='selected'>12</option>
					  </select>:
					  <select name='onceminutelistbox' id='onceminutelistbox'>
							<option value='0' selected='selected'>00</option>
							<option value='1'>01</option>
							<option value='2'>02</option>
							<option value='3'>03</option>
							<option value='4'>04</option>
							<option value='5'>05</option>
							<option value='6'>06</option>
							<option value='7'>07</option>
							<option value='8'>08</option>
							<option value='9'>09</option>
							<option value='10'>10</option>
							<option value='11'>11</option>
							<option value='12'>12</option>
							<option value='13'>13</option>
							<option value='14'>14</option>
							<option value='15'>15</option>
							<option value='16'>16</option>
							<option value='17'>17</option>
							<option value='18'>18</option>
							<option value='19'>19</option>
							<option value='20'>20</option>
							<option value='21'>21</option>
							<option value='22'>22</option>
							<option value='23'>23</option>
							<option value='24'>24</option>
							<option value='25'>25</option>
							<option value='26'>26</option>
							<option value='27'>27</option>
							<option value='28'>28</option>
							<option value='29'>29</option>
							<option value='30'>30</option>
							<option value='31'>31</option>
							<option value='32'>32</option>
							<option value='33'>33</option>
							<option value='34'>34</option>
							<option value='35'>35</option>
							<option value='36'>36</option>
							<option value='37'>37</option>
							<option value='38'>38</option>
							<option value='39'>39</option>
							<option value='40'>40</option>
							<option value='41'>41</option>
							<option value='42'>42</option>
							<option value='43'>43</option>
							<option value='44'>44</option>
							<option value='45'>45</option>
							<option value='46'>46</option>
							<option value='47'>47</option>
							<option value='48'>48</option>
							<option value='49'>49</option>
							<option value='50'>50</option>
							<option value='51'>51</option>
							<option value='52'>52</option>
							<option value='53'>53</option>
							<option value='54'>54</option>
							<option value='55'>55</option>
							<option value='56'>56</option>
							<option value='57'>57</option>
							<option value='58'>58</option>
							<option value='59'>59</option>
					  </select>
					  	<select name='onceampmlistbox' id='onceampmlistbox'>
							<option value='AM' selected='selected'><%=ResourceBundleUtility.getLocalizedString("AM", locale)%></option>
							<option value='PM'><%=ResourceBundleUtility.getLocalizedString("PM", locale)%></option>
						</select>
					  </td>
				  </tr>
				</table>
				</td>
				</tr>
				</TABLE>
				</div>
				<!-- Once Div End -->
				<!-- Daily Div Start -->
				<div id='dailydiv' style='display:none'>
				<TABLE width='100%' >
				<tr>
				<td width='5%'>&nbsp;</td>
				<td width='95%'>
				<table width='100%'  cellspacing='2' cellpadding='2'>
				  <tr>
					<td class='bodyTextBold' >
					  &nbsp;&nbsp;<%=ResourceBundleUtility.getLocalizedString("SCHEDULE_TIME", locale)%>&nbsp;&nbsp;
					  <select name='dailyhourlistbox' id='dailyhourlistbox'>
							<option value='1'>1</option>
							<option value='2'>2</option>
							<option value='3'>3</option>
							<option value='4'>4</option>
							<option value='5'>5</option>
							<option value='6'>6</option>
							<option value='7'>7</option>
							<option value='8'>8</option>
							<option value='9'>9</option>
							<option value='10'>10</option>
							<option value='11'>11</option>
							<option value='12' selected='selected'>12</option>
					  </select>:
					  <select name='dailyminutelistbox' id='dailyminutelistbox'>
							<option value='0' selected='selected'>00</option>
							<option value='1'>01</option>
							<option value='2'>02</option>
							<option value='3'>03</option>
							<option value='4'>04</option>
							<option value='5'>05</option>
							<option value='6'>06</option>
							<option value='7'>07</option>
							<option value='8'>08</option>
							<option value='9'>09</option>
							<option value='10'>10</option>
							<option value='11'>11</option>
							<option value='12'>12</option>
							<option value='13'>13</option>
							<option value='14'>14</option>
							<option value='15'>15</option>
							<option value='16'>16</option>
							<option value='17'>17</option>
							<option value='18'>18</option>
							<option value='19'>19</option>
							<option value='20'>20</option>
							<option value='21'>21</option>
							<option value='22'>22</option>
							<option value='23'>23</option>
							<option value='24'>24</option>
							<option value='25'>25</option>
							<option value='26'>26</option>
							<option value='27'>27</option>
							<option value='28'>28</option>
							<option value='29'>29</option>
							<option value='30'>30</option>
							<option value='31'>31</option>
							<option value='32'>32</option>
							<option value='33'>33</option>
							<option value='34'>34</option>
							<option value='35'>35</option>
							<option value='36'>36</option>
							<option value='37'>37</option>
							<option value='38'>38</option>
							<option value='39'>39</option>
							<option value='40'>40</option>
							<option value='41'>41</option>
							<option value='42'>42</option>
							<option value='43'>43</option>
							<option value='44'>44</option>
							<option value='45'>45</option>
							<option value='46'>46</option>
							<option value='47'>47</option>
							<option value='48'>48</option>
							<option value='49'>49</option>
							<option value='50'>50</option>
							<option value='51'>51</option>
							<option value='52'>52</option>
							<option value='53'>53</option>
							<option value='54'>54</option>
							<option value='55'>55</option>
							<option value='56'>56</option>
							<option value='57'>57</option>
							<option value='58'>58</option>
							<option value='59'>59</option>
					  </select>
					  	<select name='dailyampmlistbox' id='dailyampmlistbox'>
							<option value='AM' selected='selected'><%=ResourceBundleUtility.getLocalizedString("AM", locale)%></option>
							<option value='PM'><%=ResourceBundleUtility.getLocalizedString("PM", locale)%></option>
						</select>
					  </td>
				  </tr>
				</table>
				</td>
				</tr>
				</TABLE>
				</div>
				<!-- Daily Div End -->
				<!-- Weekly Div Start -->
				<div id='weeklydiv' style='display:none'>
				<TABLE width='100%' >
				<tr>
				<td width='5%'>&nbsp;</td>
				<td width='95%'>
				<table width='100%'  cellspacing='2' cellpadding='2'>
				<tr>
					<td class='bodyText' >
					  <input type='radio' name='weeklyrecurrencetype' id='weeklyeveryweekdayradbtn' value='weeklyeveryweekdayradbtn' checked='checked'/>
					  <%=ResourceBundleUtility.getLocalizedString("SCHEDULE_EVERY_WEEKDAY", locale)%></td>
				</tr>
				<tr class='bodyText' >
					<td>
					<input type='radio' name='weeklyrecurrencetype' id='weeklyeveryweekradbtn' value='weeklyeveryweekradbtn' />
					<%=ResourceBundleUtility.getLocalizedString("SCHEDULE_EVERY_WEEK", locale)%>
					</td>
  				</tr>
			    <tr>
					<td>
					<table width='100%' border='0' cellspacing='2' cellpadding='2'>
					  <tr>
						<td class='bodyText' >
						  <input type='checkbox' name='weeklyweekdaychkbox' id='weeklysundaychkbox' value='<%=CronConstants.DayOfWeek.SUNDAY %>'/>
						  <label for='weeklysundaychkbox'><%=ResourceBundleUtility.getLocalizedString("SCHEDULE_SUNDAY", locale)%></label></td>
						<td class='bodyText' >
						  <input type='checkbox' name='weeklyweekdaychkbox' id='weeklymondaychkbox' value='<%=CronConstants.DayOfWeek.MONDAY %>'/>
						  <label for='weeklymondaychkbox'><%=ResourceBundleUtility.getLocalizedString("SCHEDULE_MONDAY", locale)%></label></td>
						<td class='bodyText' >
						  <input type='checkbox' name='weeklyweekdaychkbox' id='weeklytuesdaychkbox' value='<%=CronConstants.DayOfWeek.TUESDAY %>'/>
						  <label for='weeklytuesdaychkbox'><%=ResourceBundleUtility.getLocalizedString("SCHEDULE_TUESDAY", locale)%></label></td>
						<td class='bodyText' >
						  <input type='checkbox' name='weeklyweekdaychkbox' id='weeklywednesdaychkbox' value='<%=CronConstants.DayOfWeek.WEDNESDAY %>' />
						  <label for='weeklywednesdaychkbox'><%=ResourceBundleUtility.getLocalizedString("SCHEDULE_WEDNESDAY", locale)%></label></td>
					  </tr>
					  <tr>
						<td class='bodyText' >
						  <input type='checkbox' name='weeklyweekdaychkbox' id='weeklythursdaychkbox' value='<%=CronConstants.DayOfWeek.THURSDAY %>'/>
						  <label for='weeklythursdaychkbox'><%=ResourceBundleUtility.getLocalizedString("SCHEDULE_THURSDAY", locale)%></label></td>
						<td class='bodyText' >
						  <input type='checkbox' name='weeklyweekdaychkbox' id='weeklyfridaychkbox' value='<%=CronConstants.DayOfWeek.FRIDAY %>'/>
						  <label for='weeklyfridaychkbox'><%=ResourceBundleUtility.getLocalizedString("SCHEDULE_FRIDAY", locale)%></label></td>
						<td  class='bodyText' colspan='2'>
						  <input type='checkbox' name='weeklyweekdaychkbox' id='weeklysaturdaychkbox' value='<%=CronConstants.DayOfWeek.SATURDAY %>'/>
						  <label for='weeklysaturdaychkbox'><%=ResourceBundleUtility.getLocalizedString("SCHEDULE_SATURDAY", locale)%></label></td>
						</tr>
					</table>
					</td>
				  </tr>
				  <tr>
					<td class='bodyTextBold' >
					  &nbsp;&nbsp;<%=ResourceBundleUtility.getLocalizedString("SCHEDULE_TIME", locale)%>&nbsp;&nbsp;
					  <select name='weeklyhourlistbox' id='weeklyhourlistbox'>
							<option value='1'>1</option>
							<option value='2'>2</option>
							<option value='3'>3</option>
							<option value='4'>4</option>
							<option value='5'>5</option>
							<option value='6'>6</option>
							<option value='7'>7</option>
							<option value='8'>8</option>
							<option value='9'>9</option>
							<option value='10'>10</option>
							<option value='11'>11</option>
							<option value='12' selected='selected'>12</option>
					  </select>:
					  <select name='weeklyminutelistbox' id='weeklyminutelistbox'>
							<option value='0' selected='selected'>00</option>
							<option value='1'>01</option>
							<option value='2'>02</option>
							<option value='3'>03</option>
							<option value='4'>04</option>
							<option value='5'>05</option>
							<option value='6'>06</option>
							<option value='7'>07</option>
							<option value='8'>08</option>
							<option value='9'>09</option>
							<option value='10'>10</option>
							<option value='11'>11</option>
							<option value='12'>12</option>
							<option value='13'>13</option>
							<option value='14'>14</option>
							<option value='15'>15</option>
							<option value='16'>16</option>
							<option value='17'>17</option>
							<option value='18'>18</option>
							<option value='19'>19</option>
							<option value='20'>20</option>
							<option value='21'>21</option>
							<option value='22'>22</option>
							<option value='23'>23</option>
							<option value='24'>24</option>
							<option value='25'>25</option>
							<option value='26'>26</option>
							<option value='27'>27</option>
							<option value='28'>28</option>
							<option value='29'>29</option>
							<option value='30'>30</option>
							<option value='31'>31</option>
							<option value='32'>32</option>
							<option value='33'>33</option>
							<option value='34'>34</option>
							<option value='35'>35</option>
							<option value='36'>36</option>
							<option value='37'>37</option>
							<option value='38'>38</option>
							<option value='39'>39</option>
							<option value='40'>40</option>
							<option value='41'>41</option>
							<option value='42'>42</option>
							<option value='43'>43</option>
							<option value='44'>44</option>
							<option value='45'>45</option>
							<option value='46'>46</option>
							<option value='47'>47</option>
							<option value='48'>48</option>
							<option value='49'>49</option>
							<option value='50'>50</option>
							<option value='51'>51</option>
							<option value='52'>52</option>
							<option value='53'>53</option>
							<option value='54'>54</option>
							<option value='55'>55</option>
							<option value='56'>56</option>
							<option value='57'>57</option>
							<option value='58'>58</option>
							<option value='59'>59</option>
					  </select>
					  	<select name='weeklyampmlistbox' id='weeklyampmlistbox'>
							<option value='AM' selected='selected'><%=ResourceBundleUtility.getLocalizedString("AM", locale)%></option>
							<option value='PM'><%=ResourceBundleUtility.getLocalizedString("PM", locale)%></option>
						</select>
					  </td>
				  </tr>
				</table>
				</td>
				</tr>
				</TABLE>
				</div>
				<!-- Weekly Div End -->
				<!-- Monthly Div Start -->
				<div id='monthlydiv' style='display:none'>
				<TABLE width='100%' >
				<tr>
				<td width='5%'>&nbsp;</td>
				<td width='95%'>
				<table width='100%' cellspacing='2' cellpadding='2'>
				<tr>
					<td><table width='100%' border='0' cellspacing='2' cellpadding='2'>
					  <tr>
						<td class='bodyText' >
						  <input type='radio' name='monthlyrecurrencetype' id='monthlydayofmonthradbtn' value='monthlydayofmonthradbtn' checked='checked'/>
						  <%
						  Vector<String> input = new Vector<String>();
						  input = new Vector<String>();
						  input.add("&nbsp;<input name='monthlydayofmonthtxt' type='text' id='monthlydayofmonthtxt' size='3' maxlength='2' />&nbsp;"); 
						  %>
						  <%=ResourceBundleUtility.getLocalizedString("SCHEDULE_EVERY_MONTHS_OPTION0", locale,input)%>
						  </td>
					  </tr>
					  <tr>
						<td class='bodyText' >
						  <input type='radio' name='monthlyrecurrencetype' id='monthlynthweekdayradbtn' value='monthlynthweekdayradbtn' />
						   <%
						  input = new Vector<String>();
						  String monthlyoption1 = "&nbsp;<select name='monthlynthdaylistbox' id='monthlynthdaylistbox'>" + 
									"<option value='"+CronConstants.NthWeekDay.FIRST+"' selected='selected'>"+ResourceBundleUtility.getLocalizedString("SCHEDULE_FIRST", locale)+ "</option>"
									+ "<option value='"+CronConstants.NthWeekDay.SECOND+"'>"+ResourceBundleUtility.getLocalizedString("SCHEDULE_SECOND", locale)+ "</option>"
									+ "<option value='"+CronConstants.NthWeekDay.THIRD+"'>"+ResourceBundleUtility.getLocalizedString("SCHEDULE_THIRD", locale)+ "</option>"
									+ "<option value='"+CronConstants.NthWeekDay.FOURTH+"'>"+ResourceBundleUtility.getLocalizedString("SCHEDULE_FOURTH", locale)+ "</option>"
									+ "<option value='"+CronConstants.NthWeekDay.FIFTH+"'>"+ResourceBundleUtility.getLocalizedString("SCHEDULE_FIFTH", locale)+ "</option>"
									+ "<option value='"+CronConstants.NthWeekDay.LAST+"'>"+ResourceBundleUtility.getLocalizedString("SCHEDULE_LAST", locale)+ "</option>"
								    + "</select>&nbsp;";
						   
						  String monthlyoption2 = "&nbsp;<select name='monthlyweekdaylistbox' id='monthlyweekdaylistbox'>" 
						  		+ "<option value='"+CronConstants.DayOfWeek.SUNDAY+"' selected='selected'>" + ResourceBundleUtility.getLocalizedString("SCHEDULE_SUNDAY", locale)+"</option>"
								+ "<option value='"+CronConstants.DayOfWeek.MONDAY+"'>" + ResourceBundleUtility.getLocalizedString("SCHEDULE_MONDAY", locale)+"</option>"
								+ "<option value='"+CronConstants.DayOfWeek.TUESDAY+"'>" + ResourceBundleUtility.getLocalizedString("SCHEDULE_TUESDAY", locale)+"</option>"
								+ "<option value='"+CronConstants.DayOfWeek.WEDNESDAY+"'>" + ResourceBundleUtility.getLocalizedString("SCHEDULE_WEDNESDAY", locale)+"</option>"
								+ "<option value='"+CronConstants.DayOfWeek.THURSDAY+"'>" + ResourceBundleUtility.getLocalizedString("SCHEDULE_THURSDAY", locale)+"</option>"
								+ "<option value='"+CronConstants.DayOfWeek.FRIDAY+"'>" + ResourceBundleUtility.getLocalizedString("SCHEDULE_FRIDAY", locale)+"</option>"
								+ "<option value='"+CronConstants.DayOfWeek.SATURDAY+"'>" + ResourceBundleUtility.getLocalizedString("SCHEDULE_SATURDAY", locale)+"</option>"
							    + "</select>&nbsp;";
						  input.add(monthlyoption1);
						  input.add(monthlyoption2);
						  %>
						  <%=ResourceBundleUtility.getLocalizedString("SCHEDULE_EVERY_MONTHS_OPTION2", locale,input)%>
						  </td>
					  </tr>
					</table>
					</td>
				  </tr>
				  <tr>
					<td class='bodyTextBold' >
					  &nbsp;&nbsp;<%=ResourceBundleUtility.getLocalizedString("SCHEDULE_TIME", locale)%>&nbsp;&nbsp;
					  <select name='monthlyhourlistbox' id='monthlyhourlistbox'>
							<option value='1'>1</option>
							<option value='2'>2</option>
							<option value='3'>3</option>
							<option value='4'>4</option>
							<option value='5'>5</option>
							<option value='6'>6</option>
							<option value='7'>7</option>
							<option value='8'>8</option>
							<option value='9'>9</option>
							<option value='10'>10</option>
							<option value='11'>11</option>
							<option value='12' selected='selected'>12</option>
					  </select>:
					  <select name='monthlyminutelistbox' id='monthlyminutelistbox'>
							<option value='0' selected='selected'>00</option>
							<option value='1'>01</option>
							<option value='2'>02</option>
							<option value='3'>03</option>
							<option value='4'>04</option>
							<option value='5'>05</option>
							<option value='6'>06</option>
							<option value='7'>07</option>
							<option value='8'>08</option>
							<option value='9'>09</option>
							<option value='10'>10</option>
							<option value='11'>11</option>
							<option value='12'>12</option>
							<option value='13'>13</option>
							<option value='14'>14</option>
							<option value='15'>15</option>
							<option value='16'>16</option>
							<option value='17'>17</option>
							<option value='18'>18</option>
							<option value='19'>19</option>
							<option value='20'>20</option>
							<option value='21'>21</option>
							<option value='22'>22</option>
							<option value='23'>23</option>
							<option value='24'>24</option>
							<option value='25'>25</option>
							<option value='26'>26</option>
							<option value='27'>27</option>
							<option value='28'>28</option>
							<option value='29'>29</option>
							<option value='30'>30</option>
							<option value='31'>31</option>
							<option value='32'>32</option>
							<option value='33'>33</option>
							<option value='34'>34</option>
							<option value='35'>35</option>
							<option value='36'>36</option>
							<option value='37'>37</option>
							<option value='38'>38</option>
							<option value='39'>39</option>
							<option value='40'>40</option>
							<option value='41'>41</option>
							<option value='42'>42</option>
							<option value='43'>43</option>
							<option value='44'>44</option>
							<option value='45'>45</option>
							<option value='46'>46</option>
							<option value='47'>47</option>
							<option value='48'>48</option>
							<option value='49'>49</option>
							<option value='50'>50</option>
							<option value='51'>51</option>
							<option value='52'>52</option>
							<option value='53'>53</option>
							<option value='54'>54</option>
							<option value='55'>55</option>
							<option value='56'>56</option>
							<option value='57'>57</option>
							<option value='58'>58</option>
							<option value='59'>59</option>
					  </select>
					  	<select name='monthlyampmlistbox' id='monthlyampmlistbox'>
							<option value='AM' selected='selected'><%=ResourceBundleUtility.getLocalizedString("AM", locale)%></option>
							<option value='PM'><%=ResourceBundleUtility.getLocalizedString("PM", locale)%></option>
						</select>
					  </td>
				  </tr>
				</table>
				</td>
				</tr>
				</TABLE>
				</div>
				<!-- Monthly Div End -->
				</TD></TR>
				<!-- end of divs for various schedule types -->
<tr><td>
<div style='display:none;position:absolute;' id='schCalContainer'></div>
<div id='startdiv' style='display:none'>
<table>
<tr>
	<td width='5%'>&nbsp;</td>
	<TD width='95%' class='bodyTextBold'>
		&nbsp;&nbsp;&nbsp;&nbsp;<label for='startDate'><%=I18NUtils.getLocalizedString("SCHEDULE_START_DATE", locale)%></label>&nbsp;&nbsp;
		<input type='text' name='startDate' id='startDate' readonly />
		<input type='button' id='startDatebtn' name='startDatebtn' class='calbtn'/>
	</td>
</tr>	
</table>
</div>
</td></tr>	
			</TABLE>
			</TD>
		</TR>
				<tr>
				</tr>

		<TR>
			<TD>
			<br>
  			<img src='/sm/images/spacer.gif'/>
  			<br>
			</TD>
		</TR>
		</TABLE>
	</TD>
	</TR>
  </TABLE>
  <input type='hidden' id='cronstring' name='cronstring'/>
  <input type='hidden' id='crontype' name='crontype'/>
  <input type='hidden' id='checkbutton' name='checkbutton'/>

<script language='javascript'>

function setCurrentTime()
{
	var dTime = new Date();
	var hours = dTime.getHours();
	var minute = dTime.getMinutes();
        var period = 0;
        if (hours > 12)
        {
                period = 1;
        }
	hours = ((hours > 12) ? hours - 12 : hours)

        var oncehour = document.getElementById('oncehourlistbox');
        oncehour.options[hours-1].selected = "1";
        var onceminute = document.getElementById('onceminutelistbox');
        onceminute.options[minute].selected = "1";
        var onceampm = document.getElementById('onceampmlistbox');
        onceampm.options[period].selected = "1";
			
        var dailyhour = document.getElementById('dailyhourlistbox');
        dailyhour.options[hours-1].selected = "1";
        var dailyminute = document.getElementById('dailyminutelistbox');
        dailyminute.options[minute].selected = "1";
        var dailyampm = document.getElementById('dailyampmlistbox');
        dailyampm.options[period].selected = "1";

        var monthlyhour = document.getElementById('monthlyhourlistbox');
        monthlyhour.options[hours-1].selected = "1";
        var monthlyminute = document.getElementById('monthlyminutelistbox');
        monthlyminute.options[minute].selected = "1";
        var monthlyampm = document.getElementById('monthlyampmlistbox');
        monthlyampm.options[period].selected = "1";

        var weeklyhour = document.getElementById('weeklyhourlistbox');
        weeklyhour.options[hours-1].selected = "1";
        var weeklyminute = document.getElementById('weeklyminutelistbox');
        weeklyminute.options[minute].selected = "1";
        var weeklyampm = document.getElementById('weeklyampmlistbox');
        weeklyampm.options[period].selected = "1";	
}

function checkNone()
{	
	var chkSchedule = document.getElementById("noneradbtn");

	var rdnOnce = document.getElementById("onceradbtn");
	var rdnDaily = document.getElementById("dailyradbtn");
	var rdnWeekly = document.getElementById("weeklyradbtn");
	var rdnMonthly = document.getElementById("monthlyradbtn");

	var oncediv = document.getElementById("oncediv");
	var dailydiv = document.getElementById("dailydiv");
	var weeklydiv = document.getElementById("weeklydiv");
	var monthlydiv = document.getElementById("monthlydiv");
	var startdiv = document.getElementById("startdiv");

	if (!chkSchedule.checked) {
		rdnOnce.disabled=true;
		rdnDaily.disabled=true;
		rdnWeekly.disabled=true;
		rdnMonthly.disabled=true;

		oncediv.style.display = "none";
		dailydiv.style.display = "none";
		weeklydiv.style.display = "none";
		monthlydiv.style.display = "none";
		startdiv.style.display = "none";
 	}
	else {
		rdnOnce.disabled=false;
		rdnDaily.disabled=false;
		rdnWeekly.disabled=false;
		rdnMonthly.disabled=false;

		oncediv.style.display = "none";
		dailydiv.style.display = "none";
		weeklydiv.style.display = "none";
		monthlydiv.style.display = "none";
		startdiv.style.display = "none";

		rdnWeekly.checked=true;
		checkWeekly();
	}
}

function checkOnce()
{
	document.getElementById('crontype').value = "";
	document.getElementById('cronstring').value = "";
	
	var dailydiv = document.getElementById("dailydiv");
	var weeklydiv = document.getElementById("weeklydiv");
	var monthlydiv = document.getElementById("monthlydiv");
	var oncediv = document.getElementById("oncediv");
	var startdiv = document.getElementById("startdiv");
	startdiv.style.display = "block";
	oncediv.style.display = "block";
	dailydiv.style.display = "none";
	weeklydiv.style.display = "none";
	monthlydiv.style.display = "none";
}


function checkDaily()
{
	document.getElementById('crontype').value = "";
	document.getElementById('cronstring').value = "";
	
	var dailydiv = document.getElementById("dailydiv");
	var weeklydiv = document.getElementById("weeklydiv");
	var monthlydiv = document.getElementById("monthlydiv");
	var oncediv = document.getElementById("oncediv");
	var startdiv = document.getElementById("startdiv");
	startdiv.style.display = "block";
	oncediv.style.display = "none";
	dailydiv.style.display = "block";
	weeklydiv.style.display = "none";
	monthlydiv.style.display = "none";
}

function checkWeekly()
{
	document.getElementById('crontype').value = "";
	document.getElementById('cronstring').value = "";
	
	var dailydiv = document.getElementById("dailydiv");
	var weeklydiv = document.getElementById("weeklydiv");
	var monthlydiv = document.getElementById("monthlydiv");
	var oncediv = document.getElementById("oncediv");
	var startdiv = document.getElementById("startdiv");
	startdiv.style.display = "block";
	oncediv.style.display = "none";
	dailydiv.style.display = "none";
	weeklydiv.style.display = "block";
	monthlydiv.style.display = "none";
}

function checkMonthly()
{
	document.getElementById('crontype').value = "";
	document.getElementById('cronstring').value = "";
	
	var dailydiv = document.getElementById("dailydiv");
	var weeklydiv = document.getElementById("weeklydiv");
	var monthlydiv = document.getElementById("monthlydiv");
	var oncediv = document.getElementById("oncediv");
	var startdiv = document.getElementById("startdiv");
	startdiv.style.display = "block";
	oncediv.style.display = "none";
	dailydiv.style.display = "none";
	weeklydiv.style.display = "none";
	monthlydiv.style.display = "block";
}

function setDefaultButtons()
{
	var rad = document.getElementById('noneradbtn');
	rad.checked=false;
	checkNone();
	document.getElementById('crontype').value = "";
	document.getElementById('cronstring').value = "";
	document.getElementById('checkbutton').value = "";
	setCurrentTime();
}

function validate()
{
	document.getElementById('crontype').value = "";
	document.getElementById('cronstring').value = "";
	document.getElementById('checkbutton').value = "finish";
	var none = document.getElementById('noneradbtn');
	var once = document.getElementById('onceradbtn');
	var daily = document.getElementById('dailyradbtn');
	var weekly = document.getElementById('weeklyradbtn');
	var monthly = document.getElementById('monthlyradbtn');
	if(!none.checked)
	{
		return valnone();
	}
	else if(once.checked)
	{
		return valonce();
	}
	else if(daily.checked)
	{
		return valdaily();
	}
	else if(weekly.checked)
	{
		return valweekly();
	}
	else if(monthly.checked)
	{
		return valmonthly();
	}
}

function valnone() 
{
	document.getElementById('crontype').value = "-1";
	document.getElementById('cronstring').value = "none";
}

function valonce() 
{
	document.getElementById('crontype').value = "1";
	document.getElementById('cronstring').value = "once";
}

function valdaily() 
{
	document.getElementById('crontype').value = "3";
	document.getElementById('cronstring').value = "daily";
}

function valweekly() 
{
	var weeklytype = document.getElementById('weeklyeveryweekradbtn');
	if(weeklytype.checked)
	{
		var sunday = document.getElementById('weeklysundaychkbox');
		var monday = document.getElementById('weeklymondaychkbox');
		var tuesday = document.getElementById('weeklytuesdaychkbox');
		var wednesday = document.getElementById('weeklywednesdaychkbox');
		var thursday = document.getElementById('weeklythursdaychkbox');
		var friday = document.getElementById('weeklyfridaychkbox');
		var saturday = document.getElementById('weeklysaturdaychkbox');
			
		if( !(sunday.checked) && !(monday.checked) && !(tuesday.checked) && !(wednesday.checked) && !(thursday.checked) && !(friday.checked) && !(saturday.checked)  )
		{
			alert('<%=I18NUtils.getLocalizedString("WEEKLY_SELECT_ONEWEEKDAY_WARNING", locale)%>');
			document.getElementById('checkbutton').value = "";
			return false;
		}
	}
	document.getElementById('crontype').value = "4";
	document.getElementById('cronstring').value = "weekly";
}

function valmonthly() 
{
	var nthmonth = document.getElementById('monthlydayofmonthradbtn');
	if(nthmonth.checked)
	{
		var day = document.getElementById('monthlydayofmonthtxt').value;
		if(day == "" || !(isInteger(day)))
		{
			alert('<%=I18NUtils.getLocalizedString("MONTHLY_DAYOFMONTH_WARNING", locale)%>');
			document.getElementById('checkbutton').value = "";
			return false;
		}
		if(day <1 || day > 31)
		{
			alert('<%=I18NUtils.getLocalizedString("MONHTLY_DAY_INVALID_INPUT", locale)%>');
			document.getElementById('checkbutton').value = "";
			return false;
		}		
	}
	document.getElementById('crontype').value = "5";
	document.getElementById('cronstring').value = "monthly";
}

function isInteger(s)
{
	var i;
	for (i = 0; i < s.length; i++)
	{
		var c = s.charAt(i);
		if (!isDigit(c))
		{
			return false;
		}
	}
	return true;
}

function isDigit(c)
{
   return ((c >= "0") && (c <= "9"))
}

setDefaultButtons();

</script>

</div>