#!/opt/VRTSsfmh/bin/perl

BEGIN { @INC = ("/opt/VRTSsfmh/lib/modules") if ( $^O !~ /Win32/i ) }

use VRTS::AddOnInfo;

use VRTS::Util;
use File::Copy;
require File::Path;
require VRTS::CMD;
require File::Spec;

my $addon_dir          = VRTS::Paths::get_path("DeployStoreDir");
$addon_dir             = File::Spec->catfile($addon_dir ,"VRTSsfmtpr-3.1.201.0");
my $install_dir        = VRTS::Paths::get_path("InstallDir");
my $log_dir            = VRTS::Paths::get_path("AppDir");
my $cs_install_dir     = VRTS::Paths::get_path("CSInstallDir");
my $helpDir 	       = File::Spec->catdir($cs_install_dir,"esmweb", "webgui","symhelp","Content","EN_US", "VOMTPRADDONCURRENT");

if ( VRTS::AddOnInfo::is_CS() || VRTS::Util::is_ha_slave())
{

    ## Deleting the help directory ##
    File::Path::rmtree($helpDir);

    my $reportdir = File::Spec->catfile($cs_install_dir,"esmweb","webgui","sm","WEB_INF","lib", "TPRExtension.jar");
    unlink($reportdir);

    $reportdir = File::Spec->catfile($cs_install_dir,"esmweb","precache","web", "TPRCache.xml");
    unlink($reportdir);

    my $reportdir = File::Spec->catfile($cs_install_dir,"esmweb","webgui","sm","plugins","tpr","jsp","TPRScheduleDetails.jsp");
    unlink($reportdir);

    my $reportdir = File::Spec->catfile($cs_install_dir,"esmweb","webgui","sm","plugins","tpr","jsp","SummaryPanelRenderer.jsp");
    unlink($reportdir);

    print STDERR "TPR Add-On was removed successfully\n";
}

exit(0);



