<%-- /*$Id: SummaryPanelRenderer.jsp,v 1.1 2010/07/20 18:25:55 jnew Exp $ */
 /*
 * $Copyright: Copyright (c) 2010 Symantec Corporation.
 * All rights reserved.
 *
 * THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
 * SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
 * WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
 *
 * The Licensed Software and Documentation are deemed to be commercial
 * computer software as defined in FAR 12.212 and subject to restricted
 * rights as defined in FAR Section 52.227-19 "Commercial Computer
 * Software - Restricted Rights" and DFARS 227.7202, "Rights in
 * Commercial Computer Software or Commercial Computer Software
 * Documentation", as applicable, and any successor regulations. Any use,
 * modification, reproduction release, performance, display or disclosure
 * of the Licensed Software and Documentation by the U.S. Government
 * shall be solely in accordance with the terms of this Agreement.  $ 
 */
--%>

<%@page import="vrts.ob.web.core.Environment,
                java.util.*,
                vrts.ob.web.view.PageBean,
                vrts.ob.ci.dom.Property,
                vrts.cm.utils.I18NUtils,
                vrts.ob.web.view.WebConstants,
                vrts.cm.tpr.data.bean.TPRSummaryPanelBean" %>
             
<link rel="stylesheet" type="text/css" href="/sm/plugins/sfm/css/summaryPanel.css" />
<link rel="stylesheet" type="text/css" href="<%=request.getContextPath()%>/plugins/sfm/css/panelcontainer.css" />
<link rel="stylesheet" type="text/css" href="/sm/vmgmt-static/include/vmgmt-shared.css"  />

<jsp:useBean id="tprPanelBean" class="vrts.cm.tpr.data.bean.TPRSummaryPanelBean" scope="session"  />  
<%
	response.setContentType("text/html; charset=UTF-8");
	Environment env = (Environment)session.getAttribute(WebConstants.ENVIRONMENT);
	String compID = request.getParameter("compID");

	if(compID == null) {
    	return;
	}  

	PageBean pageBean = (PageBean) request.getAttribute(WebConstants.PAGE_BEAN);
	Map contextInfoMap = pageBean.getContextInfo();  

	String iconString = "/sm/plugins/sfm/images/error32.gif";
	String smallIconString = "";
	String objectName = "";
	List summaryProps = null;
	
	tprPanelBean.setContextInfoMap(contextInfoMap);
    Map summaryData = tprPanelBean.getSummaryData(compID, request);
    if(summaryData != null) {	    
	    if(summaryData.get(TPRSummaryPanelBean.SUMMARY_ICON) != null) {
	    	iconString = (String)summaryData.get(TPRSummaryPanelBean.SUMMARY_ICON); 
	    }
	    if(summaryData.get(TPRSummaryPanelBean.SUMMARY_SMALL_ICON) != null) {
	    	smallIconString = (String)summaryData.get(TPRSummaryPanelBean.SUMMARY_SMALL_ICON); 
	    }
	    if(summaryData.get(TPRSummaryPanelBean.SUMMARY_OBJECT_NAME) != null) {
	    	objectName = (String)summaryData.get(TPRSummaryPanelBean.SUMMARY_OBJECT_NAME); 
	    }
	    summaryProps = (List)summaryData.get(TPRSummaryPanelBean.SUMMARY_PROPS);
    }
   
%>

<!-- START: Summary panel -->
<div id='<%=compID%>1'>
    <table border='0' align=center cellPadding='0' cellSpacing='0' width='100%'>
        <tr><td class='summaryBG'>
            <table border='0' cellpadding='0' cellspacing='10' id='<%=compID%>1_table' name='<%=compID%>1'>
                <tr><td align='center'><img src=<%=iconString%> align='absmiddle' border=0 style='position:relative;' title=''>&nbsp;<label class='summaryObjText'><%=objectName%></label></td>
                    <td width='1' bgcolor='#CCCCCC' class='summaryDivider'><img src='images/common/spacer.gif' width='1' height='1'></td>
                   <td><table border='0' width='100%'><tr><td>
                    <% if( summaryProps == null || summaryProps.size()==0){%>
                        <table border='0' class='floatLeft' id='<%=compID%>1_<%=0%>' name='<%=compID%>1_<%=0%>'>
                        <tr><td class='summaryText'><%=I18NUtils.getLocalizedString("NO_DATA",env.getCurrentLocaleID())%></td>
                            <td width='20'>&nbsp;</td></tr>
                        </table> <% 
                    } else {for( int i = 0; i<summaryProps.size(); i++){
                        Property prop = (Property)summaryProps.get(i); %>
                        <table border='0' class='floatLeft' id='<%=compID%>1_<%=i%>' name='<%=compID%>1_<%=i%>'>
                        <tr><td class='summaryText'><%=prop.getKey()%></td>
                            <td class='summaryTextBold'>:</td>
                            <td class='summaryTextBold' id='<%=compID%>1_<%=i%>_Value' 
                                 name='<%=compID%>1_<%=i%>_Value'><%=prop.getValue()%></td>
                            <td width='20'>&nbsp;</td></tr>
                        </table>
                   <%}}%>
			        </td></tr></table></td>
			     </tr>
			 </table>
	     </td></tr>
	 </table>
</div>
<!-- END: Summary panel -->

<style>
    #container {height:15em;}
</style>


